System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.EventArgs

The RowUpdated event message is typically raised when an to a row is completed.

Provides data for the RowUpdated event of a .NET Framework data provider.

- Constructor
  To be added

  Initializes a new instance of the class.

  The sent through an .
  The executed when is called.
  The type of SQL statement executed.
  The sent through an .
  1.0.5000.0
  2.0.0.0
- Property
  System.Data.IDbCommand To be added: an object of type 'Data.IDbCommand' To be added

  Gets the executed when is called.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  must be at least in length.

  Throws an for a null instance of .

  Copies references to the modified rows into the provided array.

  The array of to copy into.
- Method
  2.0.0.0
  System.Void `` ``

  must be at least + in length.

  Throws an for a null instance of .

  Copies references to the modified rows into the provided array.

  The array of to copy into. The index in the array to start copying into.
- Property
  System.Exception To be added: an object of type 'Exception' To be added

  Gets any errors generated by the .NET Framework data provider when the was executed.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of rows changed, inserted, or deleted by execution of the SQL statement.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataRow To be added: an object of type 'Data.DataRow'

  When batching is enabled, the value of this property will be null. Updated rows can be accessed through one of the RowUpdatedEventArgs.CopyToRows methods.

  Gets the sent through an .

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of rows processed in a batch of updated records.

- Property
  System.Data.StatementType To be added: an object of type 'Data.StatementType'

  can be one of the following values:

  Select

  Insert

  Update

  Delete

  Gets the type of SQL statement executed.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.UpdateStatus To be added: an object of type 'Data.UpdateStatus' To be added

  Gets the of the property.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.Common.DataTableMapping To be added: an object of type 'DataTableMapping' To be added

  Gets the sent through an .

  1.0.5000.0
  2.0.0.0